summaryrefslogtreecommitdiffstats
path: root/release-scripts/build-manpages-git
diff options
context:
space:
mode:
Diffstat (limited to 'release-scripts/build-manpages-git')
-rwxr-xr-xrelease-scripts/build-manpages-git52
1 files changed, 52 insertions, 0 deletions
diff --git a/release-scripts/build-manpages-git b/release-scripts/build-manpages-git
new file mode 100755
index 0000000..4419fc4
--- /dev/null
+++ b/release-scripts/build-manpages-git
@@ -0,0 +1,52 @@
+#!/bin/bash
+#
+# Copyright (C) Michael Adam 2010
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the Free
+# Software Foundation; either version 3 of the License, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful, but WITHOUT
+# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
+# FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
+# more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, see <http://www.gnu.org/licenses/>.
+#
+
+_exit()
+{
+ echo "$@"
+ popd
+ exit 1
+}
+
+DIRNAME=$(dirname $0)
+DOCS_XML_DIR=${DIRNAME}/../docs-xml
+DOCS_DIR=${DIRNAME}/../bin/docs
+
+pushd ${DOCS_XML_DIR} || exit 1
+
+git clean -xdf || _exit "Error running git clean."
+
+autoconf || _exit "Error running autoconf."
+
+./configure || _exit "Error running configure."
+
+export XML_CATALOG_FILES="file:///etc/xml/catalog file://$(pwd)/build/catalog.xml"
+
+make manpages || _exit "Error running make manpages"
+
+popd
+
+test -e ${DOCS_DIR}/manpages && rm -rf ${DOCS_DIR}/manpages
+mkdir -p ${DOCS_DIR}/manpages
+
+rsync -Ca ${DOCS_XML_DIR}/output/manpages/ ${DOCS_DIR}/manpages
+
+echo "Success"
+exit
+
+# END